#ifndef _FRONTEND_NODES_H
#define _FRONTEND_NODES_H

#include "frontend_common.h"

/* Get the block_id, type_id and name of
 * all of the nodes in the current comp_graph.
 *
 * Returns 0 on success, 1 on error
 *
 * Note : node_data may be resized inside this function. 
 * That is why you must pass in a strcut ... **
 */
int frontend_getnodes(
		struct backend_conn * conn,
		struct frontend_node_data ** node_data,
		size_t * num_nodes);


/* Adds a node of specified type_id
 *
 * Returns 0 on success, 1 on error
 */
int frontend_addnode(
		struct backend_conn * conn,
		struct frontend_node_data * node_data);

#endif /* __FRONTEND_NODES_H */